aboutsummaryrefslogtreecommitdiff
path: root/release
diff options
context:
space:
mode:
authorHarsh Shandilya <msfjarvis@gmail.com>2020-04-19 16:52:14 +0530
committerGitHub <noreply@github.com>2020-04-19 16:52:14 +0530
commit7ce883140139cf9f293d690129601349d6d9a4d0 (patch)
tree0d9451635f52c1a87b225ddae6434c7e95b96d77 /release
parentaaeb899fb63af1f755d88219e119bde2f62fb039 (diff)
release/deploy-snapshot: Don't swallow errors (#724)
Signed-off-by: Harsh Shandilya <me@msfjarvis.dev>
Diffstat (limited to 'release')
-rwxr-xr-xrelease/deploy-snapshot.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/release/deploy-snapshot.sh b/release/deploy-snapshot.sh
index e5d64b0d..9139614b 100755
--- a/release/deploy-snapshot.sh
+++ b/release/deploy-snapshot.sh
@@ -7,5 +7,5 @@ chmod 600 "$SSHDIR/key"
export SERVER_DEPLOY_STRING="$SSH_USERNAME@$SERVER_ADDRESS:$SERVER_DESTINATION"
cd "$GITHUB_WORKSPACE/app/build/outputs/apk/release"
rm output.json
-rsync -ahvcr --omit-dir-times --progress --delete --no-o --no-g -e "ssh -i $SSHDIR/key -o StrictHostKeyChecking=no -p $SSH_PORT" . "$SERVER_DEPLOY_STRING" || true
+rsync -ahvcr --omit-dir-times --progress --delete --no-o --no-g -e "ssh -i $SSHDIR/key -o StrictHostKeyChecking=no -p $SSH_PORT" . "$SERVER_DEPLOY_STRING" || exit 1
exit 0